SUBROUTINE pdnew
  !
  ! $Author: CPTEC $
  ! $Date: 2000/02/24 13:15:43 $
  ! $Revision: 1.0 $
  !
  !                .      .    .     
  ! subprogram:    pdnew       update surface pressure
  !   prgrmmr: janjic          org: w/np2      date: 94-03-08       
  !     
  ! abstract:
  !     pdnew updates the surface pressure from the tendency
  !     computed in pdte.
  !     
  ! program history log:
  !   87-06-??  janjic     - originator
  !   95-03-25  black      - conversion from 1-d to 2-d in horizontal
  !     
  ! usage: call pdnew from main program ebu
  !
  !   input argument list:
  !       none     
  !  
  !   output argument list: 
  !     none
  !     
  !   output files:
  !     none
  !     
  !   subprograms called:
  !  
  !     unique: none
  !  
  !     library: none
  !  
  !   common blocks: ctlblk
  !                  scrch
  !                  vrbls
  !   
  IMPLICIT NONE

  !*** problem size

  INCLUDE "parmeta.f90"

  !*** global variables

  INCLUDE "ctlblk.f90"  ! dt(in)
  INCLUDE "vrbls.f90"   ! pd(inout)
  INCLUDE "contin.f90"  ! psdt(in)

  !*** local variables

  INTEGER :: i, j

  !*** updating surface pressure

  DO j=3,jm-2
     DO i=1,im
        pd(i,j)=psdt(i,j)*dt+pd(i,j)
     END DO
  END DO
END SUBROUTINE pdnew
